<?php $__env->startSection('title', translate('reCaptcha Setup')); ?>

<?php $__env->startPush('css_or_js'); ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <!-- Page Header -->
        <div class="d-flex flex-wrap gap-2 align-items-center mb-4">
            <h2 class="h1 mb-0 d-flex align-items-center gap-2">
                <img width="20" class="avatar-img" src="<?php echo e(asset('public/assets/admin/img/icons/third-party.png')); ?>" alt="">
                <span class="page-header-title">
                    <?php echo e(translate('third_party')); ?>

                </span>
            </h2>
        </div>
        <!-- End Page Header -->

        <!-- Inline Page Menu -->
        <?php echo $__env->make('admin-views.business-settings.partials._3rdparty-inline-menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap justify-content-between align-items-center">
                    <h3 class="mb-3"><?php echo e(translate('Google Recapcha Information')); ?></h3>
                    <a class="btn-sm btn btn-outline-primary p-2 cursor-pointer" href="https://www.google.com/recaptcha/admin/create">
                        <i class="tio-info-outined"></i>
                        <?php echo e(translate('Credentials_SetUp')); ?>

                    </a>
                </div>
                <div class="mt-4">
                    <?php ($config=\App\CentralLogics\Helpers::get_business_settings('recaptcha')); ?>
                    <form
                        action="<?php echo e(env('APP_MODE')!='demo'?route('admin.business-settings.web-app.third-party.recaptcha_update',['recaptcha']):'javascript:'); ?>"
                        method="post">
                        <?php echo csrf_field(); ?>
                        <div class="d-flex flex-wrap mb-4">
                            <label class="form-check form--check mr-2 mr-md-4">
                                <input class="form-check-input" type="radio" name="status" id="captcha_active" value="1" <?php echo e(isset($config) && $config['status']==1?'checked':''); ?>>
                                <span class="mb-0"><?php echo e(translate('active')); ?></span>
                            </label>
                            <label class="form-check form--check">
                                <input class="form-check-input" type="radio" name="status" id="captcha_inactive" value="0" <?php echo e(isset($config) && $config['status']==0?'checked':''); ?>>
                                <span class="mb-0"><?php echo e(translate('inactive')); ?> </span>
                            </label>
                        </div>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="text-capitalize"><?php echo e(translate('Site Key')); ?></label><br>
                                    <input type="text" class="form-control" name="site_key" value="<?php echo e(env('APP_MODE')!='demo'?$config['site_key']??"":''); ?>">
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label class="text-capitalize"><?php echo e(translate('Secret Key')); ?></label><br>
                                    <input type="text" class="form-control" name="secret_key" value="<?php echo e(env('APP_MODE')!='demo'?$config['secret_key']??"":''); ?>">
                                </div>
                            </div>
                        </div>


                        <div class="form-group">
                            <h4 class="mb-3" id="staticBackdropLabel"><?php echo e(translate('Instructions')); ?></h4>
                            <ol class="d-flex flex-column __gap-5px __instructions">
                                <li><?php echo e(translate('Go to the Credentials page')); ?>

                                    (<?php echo e(translate('Click')); ?> <a
                                        href="https://www.google.com/recaptcha/admin/create"
                                        target="_blank"><?php echo e(translate('here')); ?></a>)
                                </li>
                                <li><?php echo e(translate('Add a ')); ?>

                                    <b><?php echo e(translate('label')); ?></b> <?php echo e(translate('(Ex: Test Label)')); ?>

                                </li>
                                <li>
                                    <?php echo e(translate('Select reCAPTCHA v2 as ')); ?>

                                    <b><?php echo e(translate('reCAPTCHA Type')); ?></b>
                                    (<?php echo e(\App\CentralLogics\translate("Sub type: I'm not a robot Checkbox")); ?>

                                    )
                                </li>
                                <li>
                                    <?php echo e(translate('Add')); ?>

                                    <b><?php echo e(translate('domain')); ?></b>
                                    <?php echo e(translate('(For ex: demo.6amtech.com)')); ?>

                                </li>
                                <li>
                                    <?php echo e(translate('Check in ')); ?>

                                    <b><?php echo e(translate('Accept the reCAPTCHA Terms of Service')); ?></b>
                                </li>
                                <li>
                                    <?php echo e(translate('Press')); ?>

                                    <b><?php echo e(translate('Submit')); ?></b>
                                </li>
                                <li><?php echo e(translate('Copy')); ?> <b>Site
                                        Key</b> <?php echo e(translate('and')); ?> <b>Secret
                                        Key</b>, <?php echo e(translate('paste in the input filed below and')); ?>

                                    <b>Save</b>.
                                </li>
                            </ol>
                        </div>

                        <div class="btn--container">
                            <button type="<?php echo e(env('APP_MODE')!='demo'?'submit':'button'); ?>"
                                    onclick="<?php echo e(env('APP_MODE')!='demo'?'':'call_demo()'); ?>"
                                    class="btn btn-primary"><?php echo e(translate('save')); ?></button>
                        </div>
                    </form>
                    
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home2/cocoeatz/manage.cocoeats.co.uk/resources/views/admin-views/business-settings/recaptcha-index.blade.php ENDPATH**/ ?>